| Home | Libraries | People | FAQ | More

### ssl::context_base

The `ssl::context_base` class is used as a base for the `ssl::basic_context` class template so that we have a common place to define various enums.

    class context_base

##### Types

Name | Description
--- | ---
file_format | File format types.
method | Different methods supported by a context.
options | Bitmask type for SSL options.
password_purpose | Purpose of PEM password.
verify_mode | Bitmask type for peer verification.

##### Protected Member Functions

Name | Description
--- | ---
~context_base | Protected destructor to prevent deletion through this type.

##### Data Members

Name | Description
--- | ---
default_workarounds | Implement various bug workarounds.
no_sslv2 | Disable SSL v2.
no_sslv3 | Disable SSL v3.
no_tlsv1 | Disable TLS v1.
single_dh_use | Always create a new key when using tmp_dh parameters.
verify_client_once | Do not request client certificate on renegotiation. Ignored unless verify_peer is set.
verify_fail_if_no_peer_cert | Fail verification if the peer has no certificate. Ignored unless verify_peer is set.
verify_none | No verification.
verify_peer | Verify the peer.

##### Requirements

Header: `boost/asio/ssl/context_base.hpp`

Convenience header: `boost/asio/ssl.hpp`